Subject: Address for Carolina Biological Supply Company

From: [email-masked] (Michael Hughes)
Date: 22 May 1995 17:28:08 GMT

Could anyone please provide the address for Carolina Biological
Supply Company?  They provided collection materials and specimens
several years ago, and I have since lost their address.  Thanks
in advance.

----------------------------------------------------------------------------
DISCLAIMER: The opinions expressed herein are not those of my employer.

Mike Hughes                                            [email-masked]
Loral Federal Systems                                         (301) 470-1957
Systems Administrator                                [email-masked]
----------------------------------------------------------------------------